postfwd (1.35-9) unstable; urgency=medium

  * [42f4738] d/postfwd.init: Adding "--name" to start-stop-daemon (Closes: #1059512), Thanks Matus UHLAR

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 06:32:19 +0000

postfwd (1.35-8) unstable; urgency=medium

  * [d32c972] d/watch: Update to new url scheme
  * [47e9ee0] Bump debhelper from old 12 to 13.
  * [cac0b96] Bump Standards-Version to 4.6.2
  * [98d8062] Update watch file format version to 4.
  * [7ba39f1] Drop lsb-base, sysvinit-utils is essential
  * [be975fb] Set Rules-Requires-Root: no.

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 12:40:57 +0000

postfwd (1.35-7) unstable; urgency=medium

  * [f2a169d] Use secure copyright file specification URI.
  * [270413d] Use secure URI in Homepage field.
  * [1563d38] d/source/options: Adding .github to diff ignore
  * [f32e604] Adding d/.gitlab-ci.yml
  * [94f95bc] Adding Dependabot config
  * [b16de77] Do not remove .git* anymore
  * [4926505] ci: pin action versions
  * [d0ecd91] d/rules: Calling dh_installsystemd (Closes: #994901)

 -- Jan Wagner <waja@cyconet.org>  Tue, 28 Sep 2021 13:28:53 +0200

postfwd (1.35-6) unstable; urgency=medium

  * [1446da0] Fix initscript (Closes: #942414)
  * [3abd7a4] Bump Standards-Version to 4.5.1.0, no changes needed
  * [27de180] Adding Github CI
  * [a282d29] d/control: Raise compat level to 12

 -- Jan Wagner <waja@cyconet.org>  Wed, 06 Jan 2021 21:49:07 +0100

postfwd (1.35-5) unstable; urgency=medium

  * [217213b] Adding systemd unit file
  * [8e419b4] Add a bit documentation about systemd (and sysvinit)
  * [62139a7] travis-ci: Use xenial image
  * [ac0ac42] d/control: Bump Standards-Version to 4.3.0, no changes needed
  * [e438455] d/postfwd.postrm: detect existens of command by which and
    not 'test -x'

 -- Jan Wagner <waja@cyconet.org>  Thu, 24 Jan 2019 09:37:19 +0100

postfwd (1.35-4) unstable; urgency=medium

  * [e8799d3] travis-ci: don't install build-deps manual
  * [c86c540] travis-ci: build package with dpkg-buildpackage
  * [07e9eeb] travis-ci: Initial support for uploading releases to github
  * [231a90f] Merging upstream changes of github-release.sh
  * [b832cd0] Updating copyright and author of debian/bin/github-release.sh
  * [5e353b5] debian/control: reformating with warp-and-sort
  * [3862572] Reformating with warp-and-sort the rest of debian/
  * [d4687ee] travis-ci: grab actual used upstream version
  * [4d0d01d] travis-ci: Adding required arguments for trusty
  * [11da7ca] travis-ci: automatically install dependencies
  * [7ad8c99] d/control: Bump Standards-Version to 3.9.8, no changes needed
  * [80b011c] d/control: Depend on lsb-base
  * [583a10d] travis-ci: Make use of travis.d.n

 -- Jan Wagner <waja@cyconet.org>  Mon, 05 Dec 2016 11:50:27 +0100

postfwd (1.35-3) unstable; urgency=medium

  * [965e0d7] Remove shiped html files from binaries
  * [17c1925] Bump Standards-Version to 3.9.6, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Mon, 13 Oct 2014 15:02:11 +0200

postfwd (1.35-2) unstable; urgency=low

  * Migrate over example installation to postfwd.examples
  * Add plugins/*.sample to examples
  * [6f4f77b] Remove generated hapolicy manpage in clean target
  * [05ca589] Updating standards version to 3.9.4, no changes needed
  * [bb64a82] Source init functions in init script
  * [5d8b250] Update Vcs-headers
  * [0df5d0a] Updating standards version to 3.9.5, no changes needed
  * [86f8f61] Add travis-ci config
  * [010082b] Remove unneeded purge from travis config
  * [7542e86] Reorder and comment .travis.yml
  * [7025f4f] Add lintian checks after build
  * [ddbfcc0] Update to recent copyright format
  * [b9b503e] Move samples into /usr/share/doc/postfwd/examples
  * [1e7c202] Add 10_fix_wording_manpages.patch to fix manpages
  * [f7da50f] travis-ci: Remove dpatch from build-deps
  * [dd5f01d] Add 20_fix_postfwd1_default_umask.patch to fix postfwd default
    umask (Closes: #717607), thanks Jesse Norell
  * [172a432] Fix bug report source format move

 -- Jan Wagner <waja@cyconet.org>  Sun, 09 Mar 2014 23:43:28 +0100

postfwd (1.35-1) unstable; urgency=low

  * New upstream release
   - fixed fixed taint mode logging error
   - check_* functions use print/getline instead of send/recv for large
     --dumpcache output
   - log_* routines added to allow the same plugins for postfwd1 and postfwd2
   - added more information when using --debug=cleanup
   - new sendmail(sendmail-path::from::to::subject::body) action
   - rate(), size() and rcpt() function index is now case insensitive by
     default
   - fixed segfault when using new perl versions (Closes: #697653)

 -- Jan Wagner <waja@cyconet.org>  Wed, 22 May 2013 14:49:15 +0200

postfwd (1.33-1) UNRELEASED; urgency=low

  * New upstream release
   - fixed bug when computing scores with more than 1 digit after the "."
   - fixed bug when computing negative values with the set action
   - ITEMS plugins returning zero values were handled incorrectly
   - max command recursion was not reset for each rule
   - fixed warning about use of (uninitialized value) when STORABLE
     is available but no cache file was defined (Closes: #697657)
  * Fix comment in /etc/default/postfwd (Closes: #679924), thanks Jeroen
    Koekkoek
  * Fix typo in README.Debian (closes: #691242), thanks Axel Beckert

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Mar 2012 20:31:17 +0200

postfwd (1.32-2) unstable; urgency=low

  * Switch over to packaging format 3.0 (quilt) (Closes: #664368)
  * Updating standards version to 3.9.3, no changes needed
  * Remove build-dependency of dpatch
  * Use dh_prep instead of dh_clean -k
  * Add build-arch and build-indep targets to debian/rules

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Mar 2012 20:22:17 +0200

postfwd (1.32-1) unstable; urgency=low

  * New upstream release
   - new option --save_rates=<file> is able to load and save rate limit counters
     to disk on program start and termination.
   - the --debugitem="sender=example\.org$" option allows verbose logging for
     particular requests
   - the debug() action enables verbose logging for certain rules
   - nested commands are possible now
   - new mail(server/helo/from/to/subject/body) action.
   - single cache items can be wiped
   - sasl_username is logged if available
   - rate limit action is executed, if the first request exceeds the limit
   - exceeded ratecounters will not be kept permanently anymore
   - rate limits are evaluated at ruleset stage now
   - new parser enhancement is able to omit the trailing "\" for multi-line
     rules
   - new plugin interface (BETA)
   - Time::HiRes is used if available
   - multiple rate limits for the same items are supported now
   - new $$ratecount variable for rate() actions
   - new option --keep_rates
   - queueid is logged when available
   - rate limits fixed
   - new --debug class 'cleanup'
   - documentation updates and fixes
  * Suppress output on restarting via init script (Closes: #636782), thanks
    Martin F. Krafft for reporting
  * Add hapolicy and manpage into separate binary package
  * Reorganize documentation
   - Add new files from upstream to documentation
   - Changelogs where renamed by upstream
  * Bump Standards-Version to 3.9.2, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Wed, 21 Dec 2011 22:27:27 +0100

postfwd (1.20-1) unstable; urgency=low

  * New upstream release
    - Release contains postfwd1 and postfwd2 now (Closes: #582969)
    - new --umask setting allows to set filepermissions for pidfiles and unix
      domain sockets
    - Rate limit code rewritten
    - rbl checks disabled for ipv6 addresses, cidr compare will switch to
      default (regex/string)
    - rbl check could fail on multiple dnsbl answers
  * Add dpatch infrastructure
  * Provide update-alternatives for choosing the postfwd variant
  * Install also CHANGELOG2
  * Bump Standards-Version to 3.9.1, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Thu, 10 Feb 2011 08:38:04 +0100

postfwd (1.18-1) unstable; urgency=low

  * New upstream release
    - Fixed bug when comparing sender and recipient addresses, like
      "sender=$$recipient"

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Apr 2010 08:46:25 +0200

postfwd (1.17-1) unstable; urgency=low

  * New upstream release
    - Net::DNS internal errors will now be handled gracefully
    - default for options --dns_max_ns_a_lookups and --dns_max_mx_a_lookups of
      100
    - Fixed variable substitution when the '=' operator is used

 -- Jan Wagner <waja@cyconet.org>  Mon, 22 Mar 2010 09:02:31 +0100

postfwd (1.16-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4, no changes needed
  * Migrate Vcs-Fields over to scm.uncompleted.org
  * Add 1.0 to debian/source/format

 -- Jan Wagner <waja@cyconet.org>  Wed, 10 Mar 2010 12:35:57 +0100

postfwd (1.16-1) unstable; urgency=low

  * NEW upstream release
    - documentation fixed
    - configuration parser improvements
    - option --reload (HUP signal) now reloads config, if the file is unchanged
    - redirect syslog to stdout for --kill, --reload and --showconfig
    - new rcpt() command counts recipients for rate limits
    - helo_address, and sender_(ns|mx)_addrs can now be csv items
    - items may now be retrieved from files using "item=file:/some/where"
  * Add "Copyright" to all copyrights in debian/copyright
  * Bump standards version to 3.8.3 (no changes needed)
  * Fix speeling errors in debian/README.Debian

 -- Jan Wagner <waja@cyconet.org>  Thu, 14 Jan 2010 19:32:26 +0100

postfwd (1.14-1) unstable; urgency=low

  * new upstream release
    - new compare operators
    - added --nodaemon option
    - perform non dns items first
    - enabled dns cache for sender(ns|mx) and helo address
    - new options --dns_max_ns_lookups and --dns_max_mx_lookups
    - new items sender_ns_names and sender_ns_addrs
    - new items sender_mx_names and sender_mx_addrs
    - new item helo_address, please see docs for more
    - added --proto switch, to enable the use of unix domain sockets
    - added command-line options --kill and --reload
    - dnsbl txt lookups only for dnsbls with at least one a record
    - small performance improvement
    - ask() action allows to use another policy service
    - new options --noidlestats and --norulelog
  * install postfwd.cf.sample, was renamed upstream
  * leave hints about documentation and config verification in README.Debian
  * Bump standards version to 3.8.2 (no changes needed)

 -- Jan Wagner <waja@cyconet.org>  Mon, 06 Jul 2009 21:15:35 +0200

postfwd (1.10pre8b-1) unstable; urgency=low

  * new upstream release
    - Net::CIDR::Lite is not required any longer
    - Net::DNS::Async is no longer used
    - changed Net::Server behaviour to ignore syslog errors
    - --shortlog is now default behaviour (use -v to see more)
    - days=Wed now means exactly Wednesday
    - disabled fallback to synchronous dns on timed out rbls
    - new item "rhsbl_helo" allows to check helo against rhsbls
    - the new variable $$request_hits contains a list of all matching ruleids
    - the new variable $$dnsbltext allows access to txt records of rbls
    - new options --no-rulestats and --nodnslog
    - ttls of the dns responses override --cache-rbl-timeout when bigger
  * drop dependency of libnet-cidr-lite-perl and libnet-dns-async-perl
  * add dependency of libnet-dns-perl

 -- Jan Wagner <waja@cyconet.org>  Thu, 19 Feb 2009 22:39:09 +0100

postfwd (1.10pre7c-3) unstable; urgency=low

  * implement machine-interpretable copyright file
  * fix init script (Closes: #503597).
    - let daemon write pid file for his own
    - point start-stop daemon to pidfile when stoping
    - fix reload by fixing the way how to get the pid
  * fix example-cfg2.txt to work with 1.10pre7 (Closes: #503596).

 -- Jan Wagner <waja@cyconet.org>  Fri, 31 Oct 2008 09:55:52 +0100

postfwd (1.10pre7c-2) unstable; urgency=low

  * Uploading to unstable.
  * Updating standards version to 3.8.0, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Tue, 15 Jul 2008 22:43:08 +0200

postfwd (1.10pre7c-1) experimental; urgency=low

  * Initial release (Closes: #470356).

 -- Jan Wagner <waja@cyconet.org>  Sat, 31 May 2008 22:07:08 +0200
